Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 984240 - /CoreOS/libtiff/Regression/bz460322-tiffcmp-double-free-or-corruption test fails
Summary: /CoreOS/libtiff/Regression/bz460322-tiffcmp-double-free-or-corruption test fails
Keywords:
Status: CLOSED DUPLICATE of bug 1004408
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libtiff
Version: 5.10
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Petr Hracek
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-13 21:54 UTC by Alex Sersen
Modified: 2013-11-01 01:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-04 15:03:14 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Alex Sersen 2013-07-13 21:54:17 UTC
Description of problem:
/CoreOS/libtiff/Regression/bz460322-tiffcmp-double-free-or-corruption
fails on all arch with error:

*** glibc detected *** tiffcmp: double free or corruption (!prev): 0x09e05568 ***
======= Backtrace: =========
/lib/libc.so.6[0x58fd35]
/lib/libc.so.6(cfree+0x59)[0x593d29]
/usr/lib/libtiff.so.3(_TIFFfree+0x1d)[0x2ff8ddd]
tiffcmp[0x8049d7a]
/lib/libc.so.6(__libc_start_main+0xdc)[0x53bebc]
tiffcmp[0x8048861]
======= Memory map: ========
0034d000-00358000 r-xp 00000000 fd:00 12716552   /lib/libgcc_s-4.1.2-20080825.so.1
00358000-00359000 rw-p 0000a000 fd:00 12716552   /lib/libgcc_s-4.1.2-20080825.so.1
00507000-00522000 r-xp 00000000 fd:00 12716548   /lib/ld-2.5.so
00522000-00523000 r--p 0001a000 fd:00 12716548   /lib/ld-2.5.so
00523000-00524000 rw-p 0001b000 fd:00 12716548   /lib/ld-2.5.so
00526000-0067d000 r-xp 00000000 fd:00 12716549   /lib/libc-2.5.so
0067d000-0067f000 r--p 00157000 fd:00 12716549   /lib/libc-2.5.so
0067f000-00680000 rw-p 00159000 fd:00 12716549   /lib/libc-2.5.so
00680000-00683000 rw-p 00680000 00:00 0 
00685000-006ac000 r-xp 00000000 fd:00 12716553   /lib/libm-2.5.so
006ac000-006ad000 r--p 00026000 fd:00 12716553   /lib/libm-2.5.so
006ad000-006ae000 rw-p 00027000 fd:00 12716553   /lib/libm-2.5.so
006b7000-006c9000 r-xp 00000000 fd:00 12716554   /lib/libz.so.1.2.3
006c9000-006ca000 rw-p 00011000 fd:00 12716554   /lib/libz.so.1.2.3
008d4000-008d5000 r-xp 008d4000 00:00 0          [vdso]
00abb000-00adc000 r-xp 00000000 fd:00 15885577   /usr/lib/libjpeg.so.62.0.0
00adc000-00add000 rw-p 00020000 fd:00 15885577   /usr/lib/libjpeg.so.62.0.0
02fc8000-0301f000 r-xp 00000000 fd:00 15875271   /usr/lib/libtiff.so.3.8.2
0301f000-03021000 rw-p 00057000 fd:00 15875271   /usr/lib/libtiff.so.3.8.2
08048000-0804b000 r-xp 00000000 fd:00 15884365   /usr/bin/tiffcmp
0804b000-0804d000 rw-p 00002000 fd:00 15884365   /usr/bin/tiffcmp
09df4000-09e36000 rw-p 09df4000 00:00 0          [heap]
b7f1b000-b7f1e000 rw-p b7f1b000 00:00 0 
b7f21000-b7f22000 rw-p b7f21000 00:00 0 
b7f22000-b7f28000 r--s 00000000 fd:00 2424954    /tmp/tmp.HpQAuU9014/quad-jpeg.tif
b7f28000-b7f2e000 r--s 00000000 fd:00 2424954    /tmp/tmp.HpQAuU9014/quad-jpeg.tif
bfc58000-bfc6d000 rw-p bffe9000 00:00 0          [stack]
/usr/share/beakerlib/testing.sh: line 752:  9047 Aborted                 tiffcmp -l quad-jpeg.tif quad-jpeg.tif >&tiffcmp-l.txt


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. run test mentioned in title
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Alex Sersen 2013-09-04 15:03:14 UTC

*** This bug has been marked as a duplicate of bug 1004408 ***


Note You need to log in before you can comment on or make changes to this bug.